// $Id: main.cpp,v 1.3 1998/12/29 04:03:43 levine Exp $

// This server daemon processes SNMP Version 1 get, get-next, and set
// commands. over the MIB II "System" group only.

#include "ace/inc_user_config.h"
#include "snmp_agent.h"

ACE_RCSID(agent, main, "$Id: main.cpp,v 1.3 1998/12/29 04:03:43 levine Exp $")

int main (int argc, char *argv[])
{
  snmp_agent the_agent;

  if (the_agent.set_args(argc, argv)) {
    return 1;
  }

  if (!the_agent.valid()) {
    return 1;
  }

  the_agent.run(); // main loop

  return 0;
}
